%define name ldapvi
%define version 1.7
%define release %mkrel 4

Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Summary: 	Performs an LDAP search and update results using a text editor
URL:		http://www.lichteblau.com/ldapvi.html
Source0: 	http://www.lichteblau.com/download/%{name}-%{version}.tar.gz
Source1: 	bash-completion
Patch:		ldapvi-makefile.in-destdir.patch
License: 	GPL
Group: 		System/Configuration/Other
BuildRequires:	openldap-devel >= 2.2.0
BuildRequires:	glib2-devel
BuildRequires:	ncurses-devel
BuildRequires:	popt-devel
BuildRequires:	pkgconfig
BuildRequires:	readline-devel
BuildRequires:	libxslt-proc
BuildRoot: 	%{_tmppath}/%{name}-%{version}

%description 
ldapvi allows a user to perform an LDAP search and update results using 
a text editor

%prep
%setup -q
%patch -p1 -b .orig

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

xsltproc \
    %{buildroot}/%{_docdir}/%{name}/html.xsl \
    %{buildroot}/%{_docdir}/%{name}/manual.xml \
    > %{buildroot}/%{_docdir}/%{name}/manual.html

rm -f %{buildroot}/%{_docdir}/%{name}/html.xsl
rm -f %{buildroot}/%{_docdir}/%{name}/manual.xml
install -m 644 COPYING INSTALL NEWS %{buildroot}/%{_docdir}/%{name}

# bash completion
install -d -m 755 %{buildroot}%{_sysconfdir}/bash_completion.d
install -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/bash_completion.d/%{name}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_sysconfdir}/bash_completion.d/%{name}
%{_docdir}/%{name}
%{_bindir}/%{name}
%{_mandir}/man?/*


%changelog
* Mon Feb 11 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.7-4mdv2008.1
+ Revision: 165120
- rebuild against ldap 2.4

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Dec 08 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.7-3mdv2008.1
+ Revision: 116490
- bash completion

* Fri Aug 31 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.7-2mdv2008.0
+ Revision: 77091
- build html manual

* Mon Jun 04 2007 Buchan Milne <bgmilne@mandriva.org> 1.7-1mdv2008.0
+ Revision: 35152
- New version 1.7


* Sun Jan 28 2007 Buchan Milne <bgmilne@mandriva.org> 1.6-2mdv2007.0
+ Revision: 114578
- Buildrequire readline-devel
- new version 1.6
  update makefile patch
- Import ldapvi

* Mon Dec 12 2005 Buchan Milne <bgmilne@mandriva.org> 1.5-1mdk
- New release 1.5

* Fri Dec 09 2005 Buchan Milne <bgmilne@mandriva.org> 1.4-1mdk
- New release 1.4

* Wed Aug 31 2005 Buchan Milne <bgmilne@linux-mandrake.com> 1.1-3mdk
- Rebuild for libldap2.3

* Mon Feb 07 2005 Buchan Milne <bgmilne@linux-mandrake.com> 1.1-2mdk
- rebuild for ldap2.2_7

* Mon Feb 02 2004 Buchan Milne <bgmilne@linux-mandrake.com> 1.1-1mdk
- Initial package

